import main
import read_data as rd


def main_fcn():
    file_names = {'MOD02': main._fname_mod02,
                  'MOD03': main._fname_mod03,
                  'IMG02': main._fname_img02,
                  'IMG03': main._fname_img03,
                  'GEOS_atm_1': main._geos_atm_1,
                  'GEOS_atm_2': main._geos_atm_2,
                  'GEOS_land': main._geos_land,
                  'GEOS_ocean': main._geos_ocean,
                  'GEOS_constants': main._geos_constants,
                  'NDVI': main._ndvi_file,
                  'SST': main._sst_file,
                  'ANC_DIR': f'{main._datapath}/ancillary'}

    viirs_data = rd.get_data(file_names, 40, hires=False)
    viirs_data.to_netcdf('viirs_data.nc')


if __name__ == "__main__":
    main_fcn()
